libzypp 17.37.10

zckstream.h File Reference
`#include <iosfwd>`
`#include <streambuf>`
`#include <vector>`
`#include <zypp-core/base/SimpleStreambuf>`
`#include <zypp-core/base/fXstream>`

Go to the source code of this file.

## Classes
class | zypp::detail::zckstreambufimpl
| Streambuffer reading or writing zchunk files. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::detail

## Typedefs
using | zckCtx = struct zckCtx
using | zypp::detail::ZChunkStreamBuf = detail::SimpleStreamBuf<detail::zckstreambufimpl>
using | zypp::ifzckstream = detail::fXstream<std::istream,detail::ZChunkStreamBuf>
| istream reading zchunk files.
using | zypp::ofzckstream = detail::fXstream<std::ostream,detail::ZChunkStreamBuf>
| ostream writing zchunk files.

## Typedef Documentation

## ◆ zckCtx

using zckCtx = struct zckCtx

Definition at line 18 of file zckstream.h.